Anonymous Login
2019-12-08 12:56 PST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001058Pending Requests[All Projects] Generalpublic2014-06-14 17:12
ReporterFvD 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionno change required 
Product Version 
Target VersionFixed in Version 
Summary0001058: The Translation Management interface adds entries with numbers to the .inc files
DescriptionBefore I touch the translation management interface, the inc file of - for example - calender.inc looks clean: just a list of word entries to be translated.

As soon as I open calender in the Translation Management interface a list of entries starting with numbers is shown below the strings (see attachement). As soon as I submit the first translated item, this list of numbers is also saved in the .inc file.

Is this a problem? I continue translating under the assumption that these lines with numbers can either be ignored or removed later. But it is strange. Perhaps the lang.php file (see below) is not set up properly. Please advice.
Additional InformationIn the lang.php file i'm using the following lines are present:

$dir = basename(dirname(__file__));

$LANGUAGES['nl'] = array($dir, 'Dutch', 'Nederlands', 'nl', 'ISO8859-15');
TagsNo tags attached.
Attached Files

-Relationships
related to 0001079acknowledgedcaseydk v4.0 Release (Planning) New translation to Dutch NL 
+Relationships

-Notes

~0002437

FvD (reporter)

I've finished the translation, and the behavior is consistent along all the translated pages.

However, when actually activating the translation it works well. For me that is good enough.

~0002617

caseydk (administrator)

The translation files are basically name/value pairs. I believe what you've seen is what happens when there's just a name and not a name/value.

It works exactly the same, it's just that someone was lazy... er.. efficient in not typing the term twice.
+Notes

-Issue History
Date Modified Username Field Change
2012-02-17 16:48 FvD New Issue
2012-02-17 16:48 FvD File Added: W2P_ItemsShowingupAgain.png
2012-03-09 14:51 FvD Note Added: 0002437
2012-04-21 19:07 caseydk Project v2.4 Release (Closed) => v3.0 Release
2012-08-02 20:05 caseydk Note Added: 0002617
2012-08-02 20:05 caseydk Status new => closed
2012-08-02 20:05 caseydk Resolution open => no change required
2012-08-10 23:37 caseydk Project v3.0 Release => Pending Requests
2014-06-14 17:12 caseydk Relationship added related to 0001079
+Issue History